Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class BeanShellServer

    java.lang.Object
      org.apache.jmeter.util.BeanShellServer

All Implemented Interfaces:
  Runnable

    public class BeanShellServer

extends Object
implements Runnable

Implements a BeanShell server to allow access to JMeter variables and methods. To enable, define the JMeter property: beanshell.server.port (see JMeter.java) beanshell.server.file (optional, startup file)

Constructor Summary
`BeanShellServer(int port, String file)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanShellServer

    public BeanShellServer(int port,
                           String file)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.